#
# spec file for package pin
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           pin
Version:        0.38
Release:        lp150.1.3
Summary:        A tool for finding package information
License:        GPL-2.0+
Group:          Documentation/SUSE
Url:            http://www.hennevogel.de/scripts/pin/
Source:         pin
Source1:        pin.1.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Pin - Package InformatioN. Pin searches the installed packages (rpm
-qi, -ql) and the ARCHIVES.gz file for the desired information. It
shows README, README.SuSE, and FAQ, when available.

%prep
:

%build
:

%install
mkdir -p %{buildroot}/%{_bindir}
install -m 755 %{SOURCE0} %{buildroot}/%{_bindir}
install -d %{buildroot}/%{_mandir}/man1
install -m 644 %{SOURCE1} %{buildroot}/%{_mandir}/man1/pin.1.gz
install -d %{buildroot}/%{_localstatedir}/lib/%{name}
touch %{buildroot}/%{_localstatedir}/lib/%{name}/ARCHIVES.gz

%post
touch %{_localstatedir}/lib/%{name}/ARCHIVES.gz

%files
%defattr(-,root,root)
%{_bindir}/pin
%{_mandir}/man1/pin.1.gz
%dir %{_localstatedir}/lib/%{name}
%ghost %{_localstatedir}/lib/%{name}/ARCHIVES.gz

%changelog
* Wed Jan 13 2016 tchvatal@suse.com
- Clean up with spec-cleaner and silence rpmlint warnings
* Sun Oct 19 2014 ledest@gmail.com
- fix bashisms
* Wed Oct  8 2014 jengelh@inai.de
- Remove old specfile tags and sections
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Sun Dec 14 2008 jw@suse.de
- added stty sane to cleanup trap. (bug #458980, jw)
* Thu Jun 21 2007 adrian@suse.de
- fix changelog entry order
* Wed May  9 2007 mlasars@suse.de
- package with cboltz fixes subbmitted
  Sun May  6 19:58:00 CET 2007 - cboltz
- fixed fix for bug #188068, copying ARCHIVES.gz should now work
  with any shell
- clean up tempfile if pin gets killed or Ctrl-c'ed (bug #218263)
* Tue Apr  3 2007 mlasars@suse.de
- --nosignature --nodigest for rpm -qa to speedup (thanks Pascal)
- su & tcsh fix (bug #188068) (thanks Volker)
* Mon Nov  6 2006 mlasars@suse.de
- fixed wrong su command (bug #188068)
- throw error message if cd/dvd is not mounted
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 23 2006 mlasars@suse.de
- fixed error in cd/dvd handling (bug #144395)
* Wed Sep 28 2005 dmueller@suse.de
- add norootforbuild
* Tue Sep  6 2005 mlasars@suse.de
- updated text (bug #115333)
* Fri Aug 26 2005 mlasars@suse.de
- removed test
* Mon Aug 22 2005 mlasars@suse.de
- fixed bug #104800
* Thu Aug  4 2005 mlasars@suse.de
- fixed update problem
* Fri Sep 17 2004 mlasars@suse.de
- forget one dvd-ram fix
* Mon Sep 13 2004 mlasars@suse.de
- wrong mountpoint, its dvdram instead of dvd-ram
* Mon Sep  6 2004 mlasars@suse.de
- changed cd/dvd mounting
* Mon Mar  8 2004 hvogel@suse.de
- include the directory for ARCHIVES.gz in %%files
- include ghosted ARCHIVES.gz in %%files
- some specfiles cleanup
* Mon Jan  5 2004 mlasars@suse.de
- fixed insecure tmp file handling (bug #33794)
* Wed Sep  3 2003 mlasars@suse.de
- fixed rm of wrong file
* Tue Sep  2 2003 mlasars@suse.de
- added clear when using dialog
- clean up options
- -v uses now the version to search
* Mon Jul 28 2003 mlasars@suse.de
- changed specfile chown
* Wed Jun 11 2003 mmj@suse.de
- pin is noarch
* Mon Aug 26 2002 mlasars@suse.de
- fix /dvd/cdrom/cdrecorder mount
* Fri Mar  8 2002 mlasars@suse.de
- fix messages before copy files, now in right order (bug #14637)
* Thu Feb 21 2002 mlasars@suse.de
- fix remove tmp file at the end
* Thu Feb 21 2002 mlasars@suse.de
- corrected typos (# 23264)
- new location for ARCHIVES.gz (# 22409), now /var/lib/pin/
- no sorting for main section, makes reading easier
* Mon Feb 18 2002 mlasars@suse.de
- changed ARC_DIR to /usr/share/pin/
- uses now OUT_FILE_$$
- fixed root/user file permission bug
* Mon Sep 17 2001 mlasars@suse.de
- cancel and no input fix, remove one cut
* Fri Sep  7 2001 mlasars@suse.de
- added man page, usage info
- check options before grepfile
* Mon Sep  3 2001 mlasars@suse.de
- fix output, now really sorted
- if ARCHIVES.gz not available, it will copied from CD/DVD
* Mon Aug 27 2001 mlasars@suse.de
- created initial package
